<?
/*
	Projekt: affily
	Version: 0.1
	Dateiname: index.php
	Autor: Andreas Rabuser
	Mail: affily@cashers.de
	Website: http://www.shop24-7.info
	Lizenz/Nutzungrecht: freie Nutzung (auch kommerziell) bei Backlink
	Sonderregelungen: gerne; einfach per E-Mail vorschlagen
	Copyright by http://www.rabuser.de
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Affilinet-Webservice Beispiel</title>
<meta name="author" content="Affily" />
</head>
<body>
<?
require_once('config.inc.php');
require_once("nusoap/nusoap.php");
require_once('array2table.inc.php');


$action=$_GET['action'];
$ShopID=$_GET['ShopID'];
$CategoryID=$_GET['CategoryID'];
$Products=$_GET['Products'];
$ShowDetail=$_GET['ShowDetail'];
$ImageSize=$_GET['ImageSize'];
$Page=$_GET['Page'];
$UseAffilinetCategories=$_GET['UseAffilinetCategories'];
$PageSize=$_GET['PageSize'];
$OrderBy=$_GET['OrderBy'];
$OrderDirection=$_GET['OrderDirection'];
$IncludeChildNodes=$_GET['IncludeChildNodes'];
$Keywords=$_GET['Keywords'];
$WithImgOnly=$_GET['WithImgOnly'];

$arr_shoplist=array('PartnerID' => $PartnerID, 'Password' => $Password);
$arr_categories=array('PartnerID' => $PartnerID, 'Password' => $Password, 'ShopID' => $ShopID );
$arr_category=array('PartnerID' => $PartnerID, 'Password' => $Password, 'ShopID' => $ShopID, 'CategoryID' => $CategoryID );
$arr_categoryproducts=array('PartnerID' => $PartnerID, 'Password' => $Password, 'ShopID' => $ShopID, 'CategoryID' => $CategoryID, 'UseAffilinetCategories' => $UseAffilinetCategories, 'IncludeChildNodes' => $IncludeChildNodes, 'Keywords' => $Keywords, 'WithImgOnly' => $WithImgOnly, 'ShowDetail' => $ShowDetail, 'ImageSize' => $ImageSize, 'Page' => $Page, 'PageSize' => $PageSize, 'PriceMin' => $PriceMin, 'PriceMax' => $PriceMax, 'OrderBy' => $OrderBy, 'OrderDirection' => $OrderDirection );
$arr_product=array('PartnerID' => $PartnerID, 'Password' => $Password, 'ProductID' => $ProductID );
$arr_search=array('PartnerID' => $PartnerID, 'Password' => $Password, 'ShopID' => $ShopID, 'Keywords' => $Keywords, 'WithImgOnly' => $WithImgOnly, 'ShowDetail' => $ShowDetail, 'ImageSize' => $ImageSize, 'Page' => $Page, 'PageSize' => $PageSize, 'PriceMin' => $PriceMin, 'PriceMax' => $PriceMax, 'OrderBy' => $OrderBy, 'OrderDirection' => $OrderDirection );

$WSDL_URL="http://webservices.affili.net/pdws/ProductDataV1.asmx?WSDL";
$client=new soapclient2($WSDL_URL, true);
$err=$client->getError();
$proxy=$client->getProxy();

if(empty($action))
{
	require_once('home.php');
}

if($action=='getShopList')
{
	$Result=$proxy->getShopList($arr_shoplist);
	if($Result['getShopListResult']['Records']>0)
		echo array2table($Result['getShopListResult']['Items']['Item']);
}
if($action=='getCategoryList')
{
	$Result=$proxy->getCategoryList($arr_categories);
	if($Result['getCategoryListResult']['Records']>0)
		echo array2table($Result['getCategoryListResult']['Categories']['Category']);
}
if($action=='getCategoryTree')
{
	$Result=$proxy->getCategoryTree($arr_categories);
	if($Result['getCategoryTreeResult']['Records']>0)
		array2table($Result['getCategoryTreeResult']['Nodes']['Category'],true);
}
if($action=='getCategoryPath')
{
	$Result=$proxy->getCategoryPath($arr_category);
	if($Result['getCategoryPathResult']['Records']>0)
		array2table($Result['getCategoryPathResult'],true);
}
if($action=='searchProductsInCategory')
{
	$Result=$proxy->searchProductsInCategory($arr_categoryproducts);
	if($Result['searchProductsInCategoryResult']['Records']>0)
		array2table($Result['searchProductsInCategoryResult']['Items']['Item'],true);
}
if($action=='searchProducts')
{
	$Result=$proxy->searchProducts($arr_search);
	if($Result['searchProductsResult']['Records']>0)
		array2table($Result['searchProductsResult']['Items']['Item'],true);
}
if($action=='getProductDetail')
{
	$Result=$proxy->getProductDetail($arr_product);
	if($Result['getProductDetailResult']['Records']>0)
		array2table($Result['getProductDetailResult']['Items']['Item'],true);
}


$err.=$proxy->getError();
if($err)
{
    echo '<h2>Error: </h2><pre>'.str_replace($Password,'***',$err).'</pre>';
}
//print_r($Result);
?>
<br><br><br><br><br>
<adress>Script by <a href="http://www.shop24-7.info">Shop24-7</a> & <a href="http://www.rabuser.de">rabuser.de</a></adress>
</body>
</html>